Debian Bug report logs - #388023
app-install-data: includes non-free icons

version graph

Package: app-install-data; Maintainer for app-install-data is Julian Andres Klode <jak@debian.org>; Source for app-install-data is src:app-install-data.

Reported by: Filipus Klutiero <cheal@hotpop.com>

Date: Mon, 18 Sep 2006 07:03:01 UTC

Severity: serious

Found in version app-install-data/0.1.32.0debian

Fixed in version app-install-data/0.1.32.1debian

Done: Peter Rockai <me@mornfall.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Peter Rockai <me@mornfall.net>:
Bug#388023; Package app-install-data. Full text and rfc822 format available.

Acknowledgement sent to Filipus Klutiero <cheal@hotpop.com>:
New Bug report received and forwarded. Copy sent to Peter Rockai <me@mornfall.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Filipus Klutiero <cheal@hotpop.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: app-install-data: includes non-free icons
Date: Mon, 18 Sep 2006 02:42:29 -0400
Package: app-install-data
Version: 0.1.32.0debian
Severity: serious
Justification: Policy 2.2.1

Icons such as /usr/share/app-install/icons/ realplayer-icon.xpm and
AdobeReader.png are unlikely modifiable, and therefore fail the DFSG. Of
course, it would be easier to tell if there was a copyright notice for
each icon...which won't be easy.

I suppose the package should be removed from testing for now.



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Rockai <me@mornfall.net>:
Bug#388023; Package app-install-data. Full text and rfc822 format available.

Acknowledgement sent to Michael Vogt <mvo@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Rockai <me@mornfall.net>. Full text and rfc822 format available.

Message #10 received at 388023@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 388023@bugs.debian.org
Subject: Re-runing the desktop-files scanner would fix the problem
Date: Mon, 18 Sep 2006 15:58:57 +0200
Just my 0.02ยข

I think this packages (as it is now) is not suitable for debian anyway
and should be removed or re-done with the data of the debian archive
(instead of the data of the ubuntu archive).

The same utility that is used to extract icons/desktop files in ubuntu
could be used for the debian archive. In the gnome-app-install archive
there is a util/getMenuData.py script or this.

Cheers,
 Michael

-- 
Linux is not The Answer. Yes is the answer. Linux is The Question. - Neo



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Rockai <me@mornfall.net>:
Bug#388023; Package app-install-data. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Peter Rockai <me@mornfall.net>. Full text and rfc822 format available.

Message #15 received at 388023@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 388023@bugs.debian.org
Subject: Re: app-install-data: includes non-free icons
Date: Mon, 23 Oct 2006 15:28:46 +0200
This problem keep the KDE-based APT frontend adept out of etch.  Are
anyone working on fixing this problem?

Friendly,
-- 
Petter Reinholdtsen



Reply sent to Peter Rockai <me@mornfall.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Filipus Klutiero <cheal@hotpop.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 388023-close@bugs.debian.org (full text, mbox):

From: Peter Rockai <me@mornfall.net>
To: 388023-close@bugs.debian.org
Subject: Bug#388023: fixed in app-install-data 0.1.32.1debian
Date: Mon, 30 Oct 2006 06:17:13 -0800
Source: app-install-data
Source-Version: 0.1.32.1debian

We believe that the bug you reported is fixed in the latest version of
app-install-data, which is due to be installed in the Debian FTP archive:

app-install-data_0.1.32.1debian.dsc
  to pool/main/a/app-install-data/app-install-data_0.1.32.1debian.dsc
app-install-data_0.1.32.1debian.tar.gz
  to pool/main/a/app-install-data/app-install-data_0.1.32.1debian.tar.gz
app-install-data_0.1.32.1debian_all.deb
  to pool/main/a/app-install-data/app-install-data_0.1.32.1debian_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388023@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Rockai <me@mornfall.net> (supplier of updated app-install-data package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 30 Oct 2006 14:33:27 +0100
Source: app-install-data
Binary: app-install-data
Architecture: source all
Version: 0.1.32.1debian
Distribution: unstable
Urgency: low
Maintainer: Peter Rockai <me@mornfall.net>
Changed-By: Peter Rockai <me@mornfall.net>
Description: 
 app-install-data - Application Installer Data Files
Closes: 388023
Changes: 
 app-install-data (0.1.32.1debian) unstable; urgency=low
 .
   * Drop all multiverse icons and desktop files, closes: 388023.
Files: 
 f4d8f199402669303baede6cb0af3de2 631 x11 optional app-install-data_0.1.32.1debian.dsc
 2bc0562833dc4831f9a54504d3a1640d 3005081 x11 optional app-install-data_0.1.32.1debian.tar.gz
 6a6952c31513e9c785bee5f58bf0eb1e 3036674 x11 optional app-install-data_0.1.32.1debian_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)
Comment: Signed by Isaac Clerencia <isaac@warp.es>

iD8DBQFFRgQAQET2GFTmct4RAoMqAKCX/fpC0euZa+OciHZkDyDEVM3cfQCfcxwf
1hW+7k91GBJZOfpK8psj0mw=
=PVeC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:07:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:19:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.